import {ItemGroupCharacteristic} from "../ItemgroupCharacteristic";

export class InventoryCharacteristic {
  increasingCharacteristic: ItemGroupCharacteristic | null
  decreasingCharacteristic: ItemGroupCharacteristic | null


  constructor(increasingCharacteristic: ItemGroupCharacteristic | null, decreasingCharacteristic: ItemGroupCharacteristic | null) {
    this.increasingCharacteristic = increasingCharacteristic;
    this.decreasingCharacteristic = decreasingCharacteristic;
  }

  isValid() {
    return this.increasingCharacteristic != null && this.decreasingCharacteristic != null;
  }
}
