import {ModelComponentCreator} from "./ModelComponentCreator";
import {GameModel} from "../../GameModel";
import {ModelComponent} from "../../ModelComponent";
import {Character} from "../../characters/Character";

export class CharacterCreator extends ModelComponentCreator{


  constructor(context: string, gameModel: GameModel, selectedComponent: ModelComponent | undefined) {
    super(context, gameModel, selectedComponent);
  }

  createModelComponent(): ModelComponent | undefined {
    const character = new Character("New Character", "");
    if(this.gameModel.addCharacter(character)) {
      return character;
    }
    return undefined;
  }


}
